Forum
× Discussions for CodeTyphon Project Installation/Setup.

Topic-icon Question Ubuntu 13.04

  • Marius
  • Marius's Avatar Topic Author
  • Offline
  • Junior Boarder
More
3 years 5 months ago #3447

Hi , i have Ubuntu 13.04 x86 installed. Code Typhoon 4.10 install and runs well. If i try to build Lazarus 32 Big IDE, it also build it and gives no error.
The problem arrives when i try to open Lazarus32, this is the error i get: "Compiler: Error: fpc.cfg is missng"(the file exists in fpc folder). I press Start IDE and then i get another error: "Compiler "/usr/lib/codetyphon/fpc/bin/i386-linux/fpc" does not support target i386-linux". After thet the IDE starts normally and functions normally. I also bild a program and runnit without a problem. The only issue is that annoyng warning message. What i can do to make it run ok?
Thank you.

Last Edit: 3 years 5 months ago by Marius.

Please Log in or Create an account to join the conversation.

More
3 years 5 months ago #3448

cd ~
sudo chmod -R 777 .lazarus64
sudo chmod -R 777 .lazarus32

Then start Lazarus again.
After a fresh install those directories are owned by root and read only for others.
sudo chown user1 .lazarus64 (insert your username for user1) would also help.

Last Edit: 3 years 5 months ago by Rain.

Please Log in or Create an account to join the conversation.

  • Marius
  • Marius's Avatar Topic Author
  • Offline
  • Junior Boarder
More
3 years 5 months ago #3458

Thanks for replying but it does not work, i was already doing this for Quantal. I think is something in fpc.cfg that needs to be changed (library paths or something).
I really need to make this work under Raring so any help is appreciated.

Thank you.

Please Log in or Create an account to join the conversation.

  • Marius
  • Marius's Avatar Topic Author
  • Offline
  • Junior Boarder
More
3 years 5 months ago #3473

I have upgraded my main computer from Ubuntu x64 12.10 to 13.04 and CT 4.00 is working just fine.
So why i have this errors on fresh Ubuntu 13.04 x86 with CT 4.10 ("Compiler "/usr/lib/codetyphon/fpc/bin/i386-linux/fpc" does not support target i386-linux")?
What is wrong?
Thank you.

Please Log in or Create an account to join the conversation.

Time to create page: 0.194 seconds